Haavoittuvuuksia NetSarang -ohjelmistoissa

NetSarang-ohjelmistotalon ohjelmistotuotteiden 18.7. päivitetyissä versioissa on havaittu sisäänrakennettuja haittaohjelmakomponentteja.

  • Palvelimet ja palvelinsovellukset
  • Työasemat ja loppukäyttäjäsovellukset
  • Verkon aktiivilaitteet
  • Matkaviestinjärjestelmät
  • Sulautetut järjestelmät
  • Muut

Kohde

  • Palvelimet ja palvelinsovellukset
  • Työasemat ja loppukäyttäjäsovellukset
Lisätietoa +

Hyökkäystapa

  • Etäkäyttö
  • Ilman käyttäjän toimia
Lisätietoja hyökkäystavasta +

Hyväksikäyttö

  • Komentojen mielivaltainen suorittaminen
  • Käyttövaltuuksien laajentaminen
  • Tietojen muokkaaminen
  • Luottamuksellisen tiedon hankkiminen
  • Suojauksen ohittaminen
Lisätietoja hyväksikäytöstä +

Ratkaisu

  • Korjaava ohjelmistopäivitys
Lisätietoja ratkaisusta +

Haavoittuvat ohjelmistot:

Haittaohjelmakomponentteja on löydetty seuraavista 18.7.2017 julkaistuista NetSarang-ohjelmistoista:

  • Xmanager Enterprise 5.0 Build 1232
  • Xmanager 5.0 Build 1045
  • Xshell 5.0 Build 1322
  • Xftpd 5.0 Build 1218
  • Xlpd 5.0 Build 1220

Ratkaisu- ja rajoitusmahdollisuudet:

Päivitä ohjelmistot ohjelmistovalmistajan tiedotteen mukaisesti. Jos haittaohjelmatorjunta on havainnut ja poistanut haavoittuvat ohjelmsitokomponentit, ohjelmisto on päivitettävä manuaalisesti.

Lisätietoa:

Ohjelmistovalmistajan tiedote:

  • https://www.netsarang.com/news/security_exploit_in_july_18_2017_build.htm
Kasperskyn blogikirjoitus ja analyysiä haitallisen komponentin toiminnasta:
  • https://securelist.com/shadowpad-in-corporate-networks/81432/
  • https://cdn.securelist.com/files/2017/08/ShadowPad_technical_description_PDF.pdf

Päivityshistoria

Asiasanat: Tietoturva , Haavoittuvuudet

LinkedIn Print

Yhteystiedot

logo

Viestintävirasto

Kyberturvallisuuskeskus

PL 313, 00181 Helsinki


Mediayhteydenotot puhelimitse 0295 390 248